/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpChecksumSession (implementation)
    Package: ip
    File:    IpChecksumSession.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;

/**
    IpChecksumSession
    
    1. Calculates the IP header checksum for outgoing packets and forwards
    them to the IpProtocol conduit.
    2. Checks the checksum for incoming packets. If the checksum is
    correct, the packet is forwarded to the IpFragmentationSession.
    Otherwise, the packet is discarded.
    
*/
public class IpChecksumSession
  extends Session {

    public IpChecksumSession(State initialState) {
    //+ IpChecksumSession::IpChecksumSession(State)
      super(initialState);
    //- IpChecksumSession::IpChecksumSession(State)
    }

}; //IpChecksumSession

