/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  UdpPortAccessor (implementation)
    Package: udp
    File:    UdpPortAccessor.java


*/
package fi.hut.tcm.jacob.tcpip.udp;
import fi.hut.tcm.jacob.conduits.*;
/**
    UdpPortAccessor
    
    
*/
public class UdpPortAccessor
  implements Accessor {

    public Object getKey(Message message) {
    //+ UdpPortAccessor::getKey(Message)
      return new Integer(message.getBuffer().getShort(2));
    //- UdpPortAccessor::getKey(Message)
    }

    public void setKey(Message message, Object key) {
    //+ UdpPortAccessor::setKey(Message, Object)
      message.getBuffer().setShort(2, ((Integer) key).intValue());
    //- UdpPortAccessor::setKey(Message, Object)
    }

}; //UdpPortAccessor

