/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  ArpIcmpAdaptor (implementation)
    Package: arp
    File:    ArpIcmpAdaptor.java


*/
package fi.hut.tcm.jacob.tcpip.arp;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    ArpIcmpAdaptor
    
    This adaptor receives packets with unreachable hardware addresses from
    the EtherAddrMUX and generates the
    proper ICMP message, accordingly.
*/
public final class ArpIcmpAdaptor
  extends Adaptor {

    /**
        @param message
    */
    public void adapt(Message message) {
    //+ ArpIcmpAdaptor::adapt(Message)
      if (Arp.DebugLevel > 0) {  // #Debug#
	System.out.println("ALERT! A message was destoyed in ARP:s ICMP Adaptor!");
      }
    //- ArpIcmpAdaptor::adapt(Message)
    }

}; //ArpIcmpAdaptor

