/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpFragmentationSession (implementation)
    Package: ip
    File:    IpFragmentationSession.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IpFragmentationSession
    
    Fragments outgoing packets that exceed the MTU limit in size. Ignores
    all other packets.
*/
public class IpFragmentationSession
  extends Session {
    public TcpipInterfaceTable interfaceTable;

    public IpFragmentationSession(State initialState,
				  TcpipInterfaceTable interfaceTable) {
    //+ IpFragmentationSession::IpFragmentationSession(State, TcpipInterfaceTable)
      super(initialState);
      this.interfaceTable = interfaceTable;
    //- IpFragmentationSession::IpFragmentationSession(State, TcpipInterfaceTable)
    }

}; //IpFragmentationSession
