/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpProtocolMux (implementation)
    Package: ip
    File:    IpProtocolMux.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;

/**
    IpProtocolMux
    
    1. Attached conduits:
    Side A:
    ReassemblySession
    Side B:
    ProtocolMUXTerminator (default)
    IpHeaderSessions for UDP, TCP and ICMP, hashed with the 'protocol'
    field of IP header
    2. Sets the PROTOCOL field in the IP header on outgoing IP packets.
    3. Decides which session (UDP, TCP or ICMP) to send incoming IP    
    packets to, based on the 'protocol' field.
    4. The IpProtocolMuxTerminator is mainly for debugging purposes,    
    and for working as a wastebasket for possible garbage that might    
    slip through.
    
*/
public class IpProtocolMux {

}; //IpProtocolMux

