/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  UdpHeaderFromNetMessenger (implementation)
    Package: udp
    File:    UdpHeaderFromNetMessenger.java


*/
package fi.hut.tcm.jacob.tcpip.udp;
import fi.hut.tcm.jacob.conduits.*;

/**
    UdpHeaderFromNetMessenger
    
    
*/
public class UdpHeaderFromNetMessenger
  extends UdpMessenger {
    public static UdpHeaderFromNetMessenger instance = new UdpHeaderFromNetMessenger();

    public void apply(Message message, State state, Session session) {
    //+ UdpHeaderFromNetMessenger::apply(Message, State, Session)
      ((UdpHeaderState) state).applyFromNet(message, this);
    //- UdpHeaderFromNetMessenger::apply(Message, State, Session)
    }

    public void removeUdpHeader(Message message) {
    //+ UdpHeaderFromNetMessenger::removeUdpHeader(Message)
      message.getBuffer().removeHeader(8);
    //- UdpHeaderFromNetMessenger::removeUdpHeader(Message)
    }

}; //UdpHeaderFromNetMessenger

